//########## Bandana

//### Item

datablock ItemData(gc_BandanaItem)
{
  uiName = "Bandana";
  iconName = "./icon_bandana";
  image = gc_BandanaImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./bandana.dts";
  mass = 0.5;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock ShapeBaseImageData(gc_BandanaImage)
{
  shapeFile = "./bandana.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = gc_BandanaItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(gc_BandanaMountedImage)
{
  shapeFile = "./bandana.dts";
  emap = true;
  mountPoint = $HeadSlot;
  offset = "0 0 -0.015";
  eyeOffset = "0 -0.19 0";
  eyeRotation = eulerToMatrix("-90 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateAllowImageChange[1] = true;
};

//### Functions

function gc_BandanaImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(2) $= nametoID(gc_BandanaMountedImage)) %player.unmountImage(2);
    else
    {
      %player.unmountImage(2);
      %player.mountImage(gc_BandanaMountedImage,2);
    }
  }
}

function gc_BandanaMountedImage::onMount(%this,%obj,%slot) {
 %obj.hideNode(bicorn); %obj.hideNode(cophat); %obj.hideNode(triplume); %obj.hideNode(flarehelmet); %obj.hideNode(helmet); %obj.hideNode(knithat); %obj.hideNode(plume); %obj.hideNode(pointyhelmet); %obj.hideNode(scouthat); %obj.hideNode(septplume); %obj.hideNode(visor);
 messageClient(%obj.client,"","\c3You put on the \c1Bandana\c3 (\c2+10%\c3 Damage & \c2+5%\c3 Protection)!"); }
function gc_BandanaMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c1Bandana\c3 (\c0-10%\c3 Damage & \c0-5%\c3 Protection)!"); }
