//########## Beret Blue

//### Item

datablock ItemData(gc_BeretBlueItem)
{
  uiName = "Beret Blue";
  iconName = "./icon_beretblue";
  image = gc_BeretBlueImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./beretblueitem.dts";
  mass = 0.5;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock ShapeBaseImageData(gc_BeretBlueImage)
{
  shapeFile = "./beretblueitem.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = gc_BeretBlueItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(gc_BeretBlueMountedImage)
{
  shapeFile = "./beretblue.dts";
  emap = true;
  mountPoint = $HeadSlot;
  offset = "0 0 -0.015";
  eyeOffset = "0 -0.19 0";
  eyeRotation = eulerToMatrix("-90 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateTimeoutValue[1] = 1000;
  stateTransitionOnTimeout[1] = "Idle";
  stateAllowImageChange[1] = true;
  stateEmitter[1] = gc_BeretCigarEmitter;
  stateEmitterTime[1] = 1000;
  stateEmitterNode[1] = "cigar";
};

//### Functions

function gc_BeretBlueImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(2) $= nametoID(gc_BeretBlueMountedImage)) %player.unmountImage(2);
    else
    {
      %player.unmountImage(2);
      %player.mountImage(gc_BeretBlueMountedImage,2);
    }
  }
}

function gc_BeretBlueMountedImage::onMount(%this,%obj,%slot) {
 %obj.hideNode(bicorn); %obj.hideNode(cophat); %obj.hideNode(triplume); %obj.hideNode(flarehelmet); %obj.hideNode(helmet); %obj.hideNode(knithat); %obj.hideNode(plume); %obj.hideNode(pointyhelmet); %obj.hideNode(scouthat); %obj.hideNode(septplume); %obj.hideNode(visor);
 messageClient(%obj.client,"","\c3You put on the \c1Blue Beret\c3 (\c2+20%\c3 Protection)!"); }
function gc_BeretBlueMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c1Blue Beret\c3 (\c0-20%\c3 Protection)!"); }
