//########## Beret Red

//### Effects

datablock ParticleData(gc_BeretCigarParticle)
{
  dragCoefficient = 1;
  gravityCoefficient = 0;
  inheritedVelFactor = 1;
  constantAcceleration = 0;
  lifetimeMS = 500;
  lifetimeVarianceMS = 0;
  textureName = "base/data/particles/cloud";
  colors[0] = "0.6 0.8 1 1";
  colors[1] = "0.6 0.8 1 0";
  sizes[0] = 0.1;
  sizes[1] = 0.1;
  useInvAlpha = true;
};

datablock ParticleEmitterData(gc_BeretCigarEmitter)
{
  uiName = "";
  ejectionPeriodMS = 500;
  periodVarianceMS = 0;
  ejectionVelocity = 0;
  velocityVariance = 0;
  ejectionOffset = 0;
  thetaMin = 89;
  thetaMax = 90;
  phiReferenceVel = 0;
  phiVariance = 360;
  overrideAdvance = false;
  particles = "gc_BeretCigarParticle";
};

//### Item

datablock ItemData(gc_BeretRedItem)
{
  uiName = "Beret Red";
  iconName = "./icon_beretred";
  image = gc_BeretRedImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./beretreditem.dts";
  mass = 0.5;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock ShapeBaseImageData(gc_BeretRedImage)
{
  shapeFile = "./beretreditem.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = gc_BeretRedItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(gc_BeretRedMountedImage)
{
  shapeFile = "./beretred.dts";
  emap = true;
  mountPoint = $HeadSlot;
  offset = "0 0 -0.015";
  eyeOffset = "0 -0.19 0";
  eyeRotation = eulerToMatrix("-90 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateTimeoutValue[1] = 1000;
  stateTransitionOnTimeout[1] = "Idle";
  stateAllowImageChange[1] = true;
  stateEmitter[1] = gc_BeretCigarEmitter;
  stateEmitterTime[1] = 1000;
  stateEmitterNode[1] = "cigar";
};

//### Functions

function gc_BeretRedImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(2) $= nametoID(gc_BeretRedMountedImage)) %player.unmountImage(2);
    else
    {
      %player.unmountImage(2);
      %player.mountImage(gc_BeretRedMountedImage,2);
    }
  }
}

function gc_BeretRedMountedImage::onMount(%this,%obj,%slot) {
 %obj.hideNode(bicorn); %obj.hideNode(cophat); %obj.hideNode(triplume); %obj.hideNode(flarehelmet); %obj.hideNode(helmet); %obj.hideNode(knithat); %obj.hideNode(plume); %obj.hideNode(pointyhelmet); %obj.hideNode(scouthat); %obj.hideNode(septplume); %obj.hideNode(visor);
 messageClient(%obj.client,"","\c3You put on the \c0Red Beret\c3 (\c2+20%\c3 Damage)!"); }
function gc_BeretRedMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c0Red Beret\c3 (\c0-20%\c3 Damage)!"); }
