//########## Gas Mask

//### Sounds

datablock AudioProfile(gc_GasMaskBreathSound)
{
  filename = "./breath.wav";
  description = AudioClosest3d;
  preload = true;
};

//### Item

datablock ItemData(gc_GasMaskItem)
{
  uiName = "Helmet+Gas Mask";
  iconName = "./icon_gasmask";
  image = gc_GasMaskImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./gasmask.dts";
  mass = 0.5;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock ShapeBaseImageData(gc_GasMaskImage)
{
  shapeFile = "./gasmask.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = gc_GasMaskItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(gc_GasMaskMountedImage)
{
  shapeFile = "./gasmask.dts";
  emap = true;
  mountPoint = $HeadSlot;
  offset = "0 0 0.02";
  eyeOffset = "0 -0.19 0";
  eyeRotation = eulerToMatrix("-90 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle1";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle1";
  stateTimeoutValue[1] = 3;
  stateTransitionOnTimeout[1] = "Idle2";
  stateSound[1] = gc_GasMaskBreathSound;
  stateAllowImageChange[1] = true;

  stateName[2] = "Idle2";
  stateTimeoutValue[2] = 3;
  stateTransitionOnTimeout[2] = "Idle1";
  stateSound[2] = gc_GasMaskBreathSound;
  stateAllowImageChange[2] = true;
};

//### Functions

function gc_GasMaskImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(2) $= nametoID(gc_GasMaskMountedImage)) %player.unmountImage(2);
    else
    {
      %player.unmountImage(2);
      %player.mountImage(gc_GasMaskMountedImage,2);
    }
  }
}

function gc_GasMaskMountedImage::onMount(%this,%obj,%slot) {
 %obj.hideNode(bicorn); %obj.hideNode(cophat); %obj.hideNode(triplume); %obj.hideNode(flarehelmet); %obj.hideNode(helmet); %obj.hideNode(knithat); %obj.hideNode(plume); %obj.hideNode(pointyhelmet); %obj.hideNode(scouthat); %obj.hideNode(septplume); %obj.hideNode(visor);
 messageClient(%obj.client,"","\c3You put on the \c1Gas Mask\c3 (\c2+20%\c3 Head Protection)!"); }
function gc_GasMaskMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c1Gas Mask\c3 (\c0-20%\c3 Head Protection)!"); }
