//########## Tactical Vest

//### Items

datablock ItemData(gc_TVestItem)
{
  uiName = "Vest Tactical";
  iconName = "./icon_tvest";
  image = gc_TVestImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./tvest.dts";
  mass = 1;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock shapeBaseImageData(gc_TVestImage)
{
  shapeFile = "./tvest.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = gc_TVestItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(gc_TVestMountedImage)
{
  shapeFile = "./tvest.dts";
  emap = true;
  mountPoint = 7;
  offset = "0 0.03 0.63";
  eyeOffset = "0 0 10";
  rotation = eulerToMatrix("0 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateAllowImageChange[1] = true;
};

//### Functions

function gc_TVestImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(1) $= nametoID(gc_TVestMountedImage)) %player.unmountImage(1);
    else
    {
      %player.unmountImage(1);
      %player.mountImage(gc_TVestMountedImage,1);
    }
  }
}

function gc_TVestMountedImage::onMount(%this,%obj,%slot) { %obj.hideNode(armor); messageClient(%obj.client,"","\c3You put on the \c7Tactical Vest\c3 (\c2+15%\c3 Body Protection)!"); }
function gc_TVestMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c7Tactical Vest\c3 (\c0-15%\c3 Body Protection)!"); }
